apt-get upgrade -> automatiskt svara Yes på frågor och stör mej inte mer

Trädvy Permalänk
Medlem
Registrerad
Jul 2005

apt-get upgrade -> automatiskt svara Yes på frågor och stör mej inte mer

Hej!

Ibland när jag uppgraderar systemet så blir jag tillfrågad frågor som denna:

Citat:

Ställer in locales (2.23-0ubuntu7) ...
Generating locales (this might take a while)...
en_AG.UTF-8... done
en_AU.UTF-8... done
en_BW.UTF-8... done
en_CA.UTF-8... done
en_DK.UTF-8... done
en_GB.UTF-8... done
en_HK.UTF-8... done
en_IE.UTF-8... done
en_IN.UTF-8... done
en_NG.UTF-8... done
en_NZ.UTF-8... done
en_PH.UTF-8... done
en_SG.UTF-8... done
en_US.UTF-8... done
en_ZA.UTF-8... done
en_ZM.UTF-8... done
en_ZW.UTF-8... done
sv_FI.UTF-8... done
sv_SE.UTF-8... done
Generation complete.
Ställer in apt-utils (1.2.20) ...
Ställer in libpam-systemd:amd64 (229-4ubuntu17) ...
Ställer in udev (229-4ubuntu17) ...
addgroup: Gruppen "input" finns redan som en systemgrupp. Avslutar.
update-initramfs: deferring update (trigger activated)
Ställer in iproute2 (4.3.0-1ubuntu3.16.04.1) ...
Ställer in ifupdown (0.8.10ubuntu1.2) ...
Ställer in libklibc (2.0.4-8ubuntu1.16.04.3) ...
Ställer in klibc-utils (2.0.4-8ubuntu1.16.04.3) ...
Ställer in initramfs-tools-bin (0.122ubuntu8.8) ...
Ställer in initramfs-tools-core (0.122ubuntu8.8) ...
Ställer in initramfs-tools (0.122ubuntu8.8) ...
update-initramfs: deferring update (trigger activated)
Ställer in libgnutls-openssl27:amd64 (3.4.10-4ubuntu1.2) ...
Ställer in ntfs-3g (1:2015.3.14AR.1-1ubuntu0.1) ...
Ställer in uuid-runtime (2.27.1-6ubuntu3.2) ...
Ställer in libfreetype6:amd64 (2.6.1-0.1ubuntu2.3) ...
Ställer in libfreetype6:i386 (2.6.1-0.1ubuntu2.3) ...
Ställer in grub-common (2.02~beta2-36ubuntu3.9) ...

Konfigurationsfil "/etc/grub.d/10_linux"
==> Modifierad (av dig eller en skriptfil) sedan installationen.
==> Paketdistributören har uppdaterat konfigurationsfilen.
Vad vill du göra åt det? Dina möjligheter är:
Y eller I: installera paketansvariges version
N eller O: behåll din nu installerade version
D : visa skillnaderna mellan versionerna
Z : starta ett skal för att undersöka situationen
Förvald åtgärd är att behålla din nuvarande version.
*** 10_linux (Y/I/N/O/D/Z) [förval=N] ?

Samt

Citat:

Konfigurationsfil "/etc/gnome/defaults.list"
==> Modifierad (av dig eller en skriptfil) sedan installationen.
==> Paketdistributören har uppdaterat konfigurationsfilen.
Vad vill du göra åt det? Dina möjligheter är:
Y eller I: installera paketansvariges version
N eller O: behåll din nu installerade version
D : visa skillnaderna mellan versionerna
Z : starta ett skal för att undersöka situationen
Förvald åtgärd är att behålla din nuvarande version.
*** defaults.list (Y/I/N/O/D/Z) [förval=N] ?

Kan jag på något sätt ange vid exekvering av kommandot att den ska svara Ja (Y) på detta och inte störa mig mer?
Hela installationsprocessen för mig störs av detta tyvärr.

Just nu installerar jag paket och uppgraderar systemet med :
apt-get install -fy [nånting]
samt
apt-get upgrade -fy

Men tyvärr hakar den upp sig på just denna typ av frågor.

Trädvy Permalänk
Medlem
Plats
Nacka
Registrerad
Sep 2009

Du kan köra

export DEBIAN_FRONTEND=noninteractive

Efter det så kör apt-get igenom alla frågor med default svar.

Skickades från m.sweclockers.com

Kör Archlinux

Trädvy Permalänk
Forumledare
Registrerad
Okt 2002

Att den ställer sådana frågor är som den säger för att du (antingen manuellt eller genom något skript) modifierat "incheckade" konfigurationsfiler. Det nya paketet som är på väg att installeras bär med sig en modifikation utav den standardvariant av konfigurationsfilen som skeppas med — men eftersom APT upptäcker att filen modifierats så vågar APT inte bara blankt skriva över filen. Skulle detta göras skulle det potentiellt kunna leda till rätt horribla säkerhetsluckor, och vissa sviter som kräver en grundkonfiguration skulle definitivt sluta fungera med jämna mellanrum. Därtill kan det ibland uppstå bakåtinkompatibla konfigurationsändringar vid uppgraderingar, vilket på samma sätt skulle göra en "behåll alltid min gamla fil"-taktik farlig.

Everything you need to know about conffiles: configuration files managed by dpkg [Raphaël Hertzog] har en variant med en lösning på det du vill göra, men jag skrev det ovanstående för att se till att du är helt med på banan gällande vad det innebär.

Jag kan säga att jag tar alla liknande prompter på allra högsta allvar, och går inte vidare förrän jag känner att jag har full kontroll på vad som ändrats. Har jag ändrat en konfigurationsfil från default så måste jag anta att jag gjort det väldigt medvetet, samtidigt som det ofta är ytterst intressant att se varför Debian i sig behövt ändra filen. Jag försöker alltid se till att diffa så lite som möjligt från upstream. Ju mer man divergerar desto svårare gör man det för sig i framtiden.

Nu med kortare användarnamn, men fortfarande bedövande långa inlägg.